/**
 * Theme Name: Blocksy Child: Passionists
 * Author: Blustery Day Design
 * Author URI: https://www.blusterydaydesign.com
 * Template: blocksy
 * Text Domain: blocksy
 * Description: A custom child theme for the Blocksy theme, initially built by Blustery Day Design in 2025 for the Passionists of Holy Cross Province.
 * Version: 1.1
*/

/* * * * * * * *
 Standard
 * * * * * * * */

.clear {
    clear: both;
}

/* * * * * * * *
 Typography
 * * * * * * * */

/* drop cap */
p.has-drop-cap:not(:focus)::first-letter {
    font-weight: 700;
    margin-top: 16px;
    color: #C16C18;
    font-family: ct_font_prensa;
}

/* Links */
.entry-content a,
.bdd-links a {
    text-decoration-color: #d4985d;
    font-weight: 600;
}

.bdd-links a,
.tribe-events-single .hentry p a,
.tribe-events-single .hentry li a {
    text-decoration: underline !important;
    text-decoration-color: #c2a65c !important;
}

.entry-content a:hover,
.entry-content a:focus,
.bdd-links a:hover,
.bdd-links a:focus {
    text-decoration-color: #C16C18;
}

.light-links a {
    color: #F7EED8 !important;
    text-decoration: underline;
    text-decoration-color: #A07400;
}

.light-links a:hover,
.light-links a:focus {
    color: #FFF !important;
}

.dark-links a,
.wp-elements-caption a {
    color: #A4343A;
}

.dark-links a:hover,
.dark-links a:focus {
    color: #7B272C;
}

.subtle-links a {
    text-decoration: underline;
    text-decoration-color: var(--theme-palette-color-5);
}

/* Screenreader readable but visually hidden */
.sr {
    height: 1px;
    width: 1px;
    position: absolute;
    overflow: hidden;
    top: -10px;
}

/* Accessibility New Window Warnings */
i.anww-external-link-icon {
    color: var(--theme-palette-color-3);
}

.light-links i.anww-external-link-icon {
    color: #DCE7E8;
}

.dark-links i.anww-external-link-icon {
    color: #575451 !important;
}

.ct-social-box .anww-external-link-icon {
    margin-left: 4px;
    font-size: 14px !important;
    margin-bottom: 6px;
    color: #B39033;
}

/* * * * * * * *
 Block Styling
 * * * * * * * */

/* Images */
figure.wp-block-image.alignright,
figure.wp-block-image.alignleft {
    margin-bottom: 20px;
}

@media screen and (max-width: 576px) {

    figure.wp-block-image:not(.align-mobile).alignright,
    figure.wp-block-image:not(.align-mobile).alignleft {
        float: none;
        margin: 1em auto;
    }
}

/* Captions */
.wp-element-caption {
    /*text-align: left !important;*/
    color: var(--theme-palette-color-31);
    margin-top: 0 !important;
    padding: 10px 20px;
    font-weight: 600;
    background: #E5E1E9;
    font-size: 15px;
    line-height: 1.4;
    border-radius: 0 0 2px 2px;
}

/* Quotes */
.wp-block-quote:not(.is-style-plain):not(.has-text-align-center):not(.has-text-align-right) {
    border-inline-start: 4px solid #B39033 !important;
}

.wp-block-pullquote blockquote::before {
    opacity: .05
}

.wp-block-quote cite {
    font-family: Jost, sans-serif;
    font-size: 19px !important;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 1.4;
    color: unset;
}

.wp-block-quote p {
    line-height: 1.4;
    margin-bottom: 20px;
}

figure.wp-block-pullquote {
    border-width: 2px;
}

figure.wp-block-pullquote:not(.has-border-color) {
    border-color: #f2e2be;
}

figure.wp-block-pullquote blockquote:before {
    opacity: .5;
    background-color: #F2E2BE;
}

/* Lists */
.entry-content li::marker {
    color: #C16C18;
}

.entry-content ol>li::marker {
    color: #59631D;
    font-weight: 900;
}

/* File */
.wp-block-file:not(.wp-element-button) {
    font-size: 1em;
    text-decoration: underline;
    text-decoration-color: #c2a65c;
}

.wp-block-file:not(.wp-element-button):hover {
    text-decoration-color: #C16C18 !important;
}

/* Footnotes */
ol.wp-block-footnotes {
    font-size: .85em;
    border-top: 2px solid #E4E7D8;
    padding-top: 20px;
}

.wp-block-footnotes li {
    margin-bottom: 6px;
}

/* * * * * * * *
 Navigation
 * * * * * * * */

/* Main ---------------- */
#header-menu-1 .ct-mega-menu-content-width>ul>li>a {
    font-weight: 800;
    letter-spacing: .1em !important;
    border-radius: 0;
    margin-bottom: 8px;
    color: #c9cfb1;
    font-size: 10px;
    text-transform: uppercase;
}

#header-menu-1 .menu-item-has-children>ul>li>a {
    padding-left: 8px;
    padding-right: 8px;
}

#header-menu-1 .menu-item-has-children>ul>li>a:hover,
#header-menu-1 .menu-item-has-children>ul>li>a:focus,
#header-menu-1 .menu-item-has-children>ul>li>a:active {
    background-color: #A4343A;
    border-radius: 2px;
}

.ct-toggle-dropdown-desktop .ct-icon {
    fill: #A07400 !important;
}

.userinfo p {
    font-size: 13px;
    color: #4F4C4D;
    font-weight: 700;
    margin-bottom: 0 !important;
    padding-top: 2px;
    margin-right: 16px;
}

/* Shrink logo on narrow desktop */
@media (min-width: 1000px) and (max-width: 1060px) {
    .site-branding img {
        max-width: 200px !important;
    }
}

@media (min-width: 1061px) and (max-width: 1160px) {
    .site-branding img {
        max-width: 250px !important;
    }
}

/* Sectional ------------ */
.sectional {
    background-color: var(--theme-palette-color-6);
    border-left: 12px solid var(--theme-palette-color-5);
}

ul.sectional {
    padding: 24px 0 30px 0;
    list-style: none;
}

ul.sectional li::marker {
    color: var(--theme-palette-color-45);
}

ul.sectional a {
    font-weight: 600;
    padding: 6px 24px;
    display: block;
    line-height: 1.3;
    font-size: 16px;
}

ul.sectional .current_page_item a {
    /*background-color: var(--theme-palette-color-8);
	color: var(--theme-palette-color-1);*/
}

ul.sectional a:hover {
    background-color: var(--theme-palette-color-11);
    color: #FFF !important;
}


/* first item */
ul.sectional>li:first-child a {
    font-size: 1.4em;
    font-weight: 700;
    font-family: ct_font_prensa;
    color: var(--theme-palette-color-17);
    line-height: 1.2;
    letter-spacing: -1px;
}

/* level 2 */
ul.sectional ul {
    padding-left: 50px;
    margin-bottom: 10px;
    font-size: 14px;
    padding-right: 20px;
    list-style: disc;
}

ul.sectional ul a {
    padding: 4px 6px;
    border-radius: 2px;
}

ul.sectional ul a {
    font-weight: 500;
    font-size: 14px;
    line-height: 1.3;
}

/* level 3 */
ul.sectional ul ul {
    padding-left: 22px;
    margin-bottom: 2px;
    font-size: 13px;
    list-style: circle;
}

ul.sectional ul ul a {
    padding: 4px 6px;
    font-size: 13px;
}

/* shortcode subheads */
ul.sectional span {
    display: block;
    font-size: 11px;
    text-transform: uppercase;
    font-weight: 800;
    margin: 24px 24px 8px;
    color: var(--theme-palette-color-2);
    letter-spacing: .1em;
    border-bottom: 2px solid var(--theme-palette-color-5);
}

/* * * * * * * *
 Layout
 * * * * * * * */

/* Footer --------------- */
a.footlink {
    font-weight: 700;
    color: #C5D99E;
}

/* Single Post ---------------- */

/* Author box */
.author-box .eyebrow {
    padding-top: 20px;
}

/* Category Eyebrow */
.type-post .entry-header ul:first-child li {
    font-size: 24px;
    text-transform: uppercase;
    letter-spacing: .08em;
}

.type-post .entry-header ul:first-child li a {
    font-weight: 800;
}

.type-post .entry-header ul:first-child span {
    color: #777;
    font-weight: 500;
}

/* Tags */
.ct-container .entry-tags a {
    background-color: #59631D;
    color: #FFF;
    box-shadow: none !important;
    letter-spacing: .05em;
    font-weight: 700;
    border-left: 8px solid #79863C;
    border-radius: 2px;
}

.ct-container .entry-tags a span {
    color: #8ea71a;
}

.ct-container .entry-tags a:hover {
    background-color: #9a6f00;
    border-color: #B39033;
}

.ct-container .entry-tags a:hover span {
    color: #dbbc69;
}

/* Comments */
.ct-comment-meta-data {
    text-transform: none;
}

a.comment-reply-link {
    background: #E5E1E9;
}

a.comment-reply-link:hover,
a.comment-reply-link:focus,
.ct-comment-inner:not(.ct-has-reply-form):hover .comment-reply-link {
    color: #FFF;
}

/* Archives ---------------- */
.entry-meta svg {
    color: #8ea71a;
}

.card-content ul:first-child a,
.entry-card>ul:nth-child(2) a,
.entry-card ul:first-child a {
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: .05em;
    color: var(--theme-palette-color-3);
    font-weight: 700;
}

.card-content .entry-meta {
    margin-bottom: 4px !important;
}

/* Archive description max width */
.archive.category .entry-header,
.archive.tag .entry-header,
.archive.tax-prayer-topic .entry-header {
    max-width: 800px;
}

/* Author archive ---------------- */
.author .page-description {
    max-width: 800px !important;
}

/* Prayers archive ---------------- */
.post-type-archive-prayer .entry-card,
.tax-prayer-topic .entry-card {
    border-top: 12px solid var(--theme-palette-color-5);
}

/* Search results archive ---------------- */
.search-results .type-page .entry-meta,
.search-results .type-tribe_events .entry-meta {
    display: none;
}

.search-results .type-prayer .meta-date {
    display: none;
}

.search-results .type-obituary .entry-title::before,
.search-results .type-prayer .entry-title::before,
.search-results .type-tribe_events .entry-title::before,
.search-results .type-tribe_venue .entry-title::before {
    content: 'Obituaries';
    display: block;
    font-family: Jost, sans-serif;
    font-weight: 600;
    font-size: 12px;
    color: var(--theme-palette-color-4);
    letter-spacing: .06em;
    margin-bottom: 8px;
    text-transform: uppercase;
}

.search-results .type-prayer .entry-title::before {
    content: 'Prayers';
}

.search-results .type-tribe_events .entry-title::before {
    content: 'Event';
}

/* * * * * * * *
 Simple Definition Lists
 * * * * * * * */

.wp-block-simple-definition-list-blocks-list dt {
    font-weight: 800;
    font-size: 1.2em;
    color: var(--theme-palette-color-2);
}

/* * * * * * * *
 Scriptless Social Sharing
 * * * * * * * */

.scriptlesssocialsharing {
    clear: both;
    padding-top: 30px;
    margin-bottom: 0;
}

.type-post .scriptlesssocialsharing::before,
.type-obituary .scriptlesssocialsharing::before,
.type-prayer .scriptlesssocialsharing::before,
.type-tribe_events .scriptlesssocialsharing::before {
    content: 'Share this:';
    font-weight: 800;
    color: var(--theme-palette-color-4);
    font-size: 1.8em;
    font-family: ct_font_prensa;
}

.scriptlesssocialsharing__buttons {
    column-gap: 8px;
}

.scriptlesssocialsharing a.button {
    background: #DCE7E8 !important;
    border-radius: 7px;
    color: #2D2926;
    border: none;
}

.scriptlesssocialsharing a.button:hover {
    background: #477980 !important;
    color: #FFF !important;
    border: none;
}

.scriptlesssocialsharing i.anww-external-link-icon {
    margin-left: 4px;
    margin-bottom: 4px;
    color: #216368;
}

.scriptlesssocialsharing a.button:hover .anww-external-link-icon {
    color: #DCE7E8;
}

/* * * * * * * *
 Ninja Tables
 * * * * * * * */

.ui.striped.table tbody,
.ui.striped.table tfoot tr {
    background-color: var(--theme-palette-color-7) !important;
    color: var(--theme-palette-color-3) !important;
}

.foo-table th,
.ui.striped.table tbody tr:nth-child(2n) {
    background-color: var(--theme-palette-color-8) !important;
    color: var(--theme-palette-color-4) !important;

}

.semantic_ui .ui.selectable.table tbody tr:hover {
    background-color: var(--theme-palette-color-6) !important;
    color: var(--theme-palette-color-3) !important;
}

.ui.table .ninja_footable tbody,
.ninja_footable td,
.ninja_footable th,
.ninja_footable.table {
    border-color: var(--theme-palette-color-6) !important;
}

.ninja_table_wrapper input.form-control {
    height: 40px !important;
}

.footable .btn-primary {
    background-color: #A4343A;
    border-color: #7B272C;
}

.footable .btn-primary:hover {
    background-color: #AD5309;
    border-color: #823E07;
}

.ninja_table_wrapper .ninja_reset_button {
    background: #216368;
    border-color: #216368;
    font-weight: bold;
}

.ninja_table_wrapper .ninja_reset_button:hover {
    background: #53416D;
    border-color: #53416D;
}

.footable_parent .fooicon-plus:before {
    background-color: var(--theme-palette-color-3);
}

/* pagination */
.footable .pagination>.active>a,
.footable .pagination>.active>a:focus,
.footable .pagination>.active>a:hover,
.footable .pagination>.active>span,
.footable .pagination>.active>span:focus,
.footable .pagination>.active>span:hover {
    background-color: #A4343A !important;
    border-color: #7B272C !important;
    color: #FFF !important;
}

.footable .pagination>li>a,
.footable .pagination>li>span {
    color: var(--theme-palette-color-1) !important;
    background-color: var(--theme-palette-color-7) !important;
    border-color: var(--theme-palette-color-6) !important;
}

.footable .pagination>li>a:focus,
.footable .pagination>li>a:hover,
.footable .pagination>li>span:focus,
.footable .pagination>li>span:hover {
    color: var(--theme-palette-color-2) !important;
    background-color: var(--theme-palette-color-8) !important;
}

/* * * * * * * *
 Gravity Forms
 * * * * * * * */

/* All forms */
body .gform_wrapper .gform_body input,
body .gform_wrapper .gform-field-label--type-inline,
.gfield textarea {
    font-size: 18px;
}

/* Order form */
label.ginput_quantity_label.gform-field-label {
    font-size: 18px;
    font-weight: normal;
}

span.gform-field-label.gform-field-label--type-sub-large.ginput_product_price_label {
    font-size: 18px;
    font-weight: normal;
}

.card-details {
    font-size: 17px;
}

input#input_11_26 {
    font-size: 20px;
}

input#gform_submit_button_11 {
    font-size: 25px;
}

/* Card Shop */
@media (max-width:689.98px) {
    .gform-theme--framework .card-product {
        margin-bottom: 20px !important;
        padding-bottom: 40px !important;
        border-bottom: 2px solid var(--theme-palette-color-5) !important;
    }

    .gform-theme--framework .card-details img {
        margin-bottom: 20px !important;
        float: none;
        display: block;
    }

}

@media (min-width:690px) {
    .gform-theme--framework .card-product {
        padding-left: 40px !important;
    }

    .gform-theme--framework .card-product,
    .gform-theme--framework .card-details {
        margin-bottom: 40px !important;
    }
}

.card-total .ginput_container_total input {
    color: var(--theme-palette-color-2) !important;
}

.gform-body h4 {
    color: var(--theme-palette-color-2) !important;
}

.gsection {
    border-block-end-color: var(--theme-palette-color-5) !important;
    border-block-end-width: 6px !important;
}

/* * * * * * * *
 PRINT STYLES
 * * * * * * * */

@media print {

    .no-print,
    #header,
    footer,
    .sectional-container,
    .section_menu_wrap,
    .ct-related-posts-container,
    .ct-comments-container,
    .entry-tags,
    .post-navigation,
    .ugb--hide-mobile,
    .ugb-spacer,
    .comment-respond,
    #tribe-events-footer,
    .tribe-block__venue__map,
    .tribe-block__events-link,
    .tribe-events-section-category,
    .tribe-block__related-events__title,
    .tribe-related-events,
    .type-page.hentry aside,
    .ct-widget .wp-block-spacer {
        display: none !important;
    }

    body {
        --theme-font-size: 18px !important;
    }

    h1.page-title {
        font-size: 2.2em !important;
    }

    .ct-container {
        padding: 20px 0 0 0;
    }

    .ct-sidebar {
        margin: 0;
        padding: 0 !important;
    }

    .tribe-block__organizer__details {
        padding: 0 0 0 20px;
    }

    .tribe-block__venue__meta {
        padding: 0 0 0 20px !important;
        margin-top: 0 !important;
    }
}